- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateBlendEquation Namespace Reference

The render state blend equation types. More...

## Enumerations
enum | Equation { ADD = 0x8006, SUBTRACT = 0x800A, REVERSE_SUBTRACT = 0x800B, MIN = 0x8007, MAX = 0x8008, INVALID }
| A render state blend equation formula. More...
## Functions
FCOLLADA_EXPORT Equation | FromString (const char *value)
| Converts the COLLADA render state face type string to the blend equation type.
Equation | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Equation equation)
| Converts the blend equation type to its COLLADA render state blend equation type string.

## Detailed Description

The render state blend equation types.

## Enumeration Type Documentation

enum FUDaePassStateBlendEquation::Equation

  | A render state blend equation formula. Enumerator:
  ADD | Will add the destination color with the source color.
  SUBTRACT | Will substract the source color to the destination color.
  REVERSE_SUBTRACT | Will substract the destination color to the source color.
  MIN | Will take the smaller of the destination color and the source color components.
  MAX | Will take the larger of the destination color and the source color components.
  INVALID | An unknown blend equation.

## Function Documentation

Equation FUDaePassStateBlendEquation::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Equation FUDaePassStateBlendEquation::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state face type string to the blend equation type. Parameters:
  | value | The render state blend equation type string.
Returns: The face type.

FCOLLADA_EXPORT const char* FUDaePassStateBlendEquation::ToString | ( | Equation | equation | ) |

  | Converts the blend equation type to its COLLADA render state blend equation type string. Parameters:
  | equation | The blend equation type.
Returns: The render state blend equation type string.